# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cred"
version = "0.15.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A command-line tool to manage secrets and environment variables locally and remotely."
readme = "README.md"
keywords = [
    "secrets",
    "automation",
    "ai",
    "ci",
    "devops",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT OR Apache-2.0"

[features]
default = [
    "github",
    "vercel",
    "fly",
]
fly = []
github = []
vercel = []

[[bin]]
name = "cred"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.base64]
version = "0.22.1"

[dependencies.chacha20poly1305]
version = "0.10.1"

[dependencies.chrono]
version = "0.4.42"
features = ["serde"]

[dependencies.clap]
version = "4.5.53"
features = ["derive"]

[dependencies.dirs]
version = "6.0.0"

[dependencies.keyring]
version = "3.6.3"
features = [
    "apple-native",
    "windows-native",
    "sync-secret-service",
]

[dependencies.open]
version = "5.3.3"

[dependencies.rand]
version = "0.9.2"

[dependencies.reqwest]
version = "0.12.24"
features = ["json"]

[dependencies.rpassword]
version = "7.4.0"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.sha2]
version = "0.10.9"

[dependencies.sodiumoxide]
version = "0.2.7"

[dependencies.tokio]
version = "1.48.0"
features = ["full"]

[dependencies.toml]
version = "0.9.8"

[dependencies.uuid]
version = "1.19.0"
features = [
    "v4",
    "serde",
]

[dependencies.zeroize]
version = "1.8.2"
features = ["derive"]

[dev-dependencies.rand]
version = "0.9.2"

[dev-dependencies.tempfile]
version = "3.23.0"
